/*
 * LICENCE[[
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1/CeCILL 2.O 
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the 
 * License. 
 * 
 * The Original Code is utc.fr code. 
 * 
 * The Initial Developer of the Original Code is 
 * Universite de Technologie de Compiegne. 
 * 
 * Portions created by the Initial Developer are Copyright (C) 2005 
 * the Initial Developer. All Rights Reserved. 
 * 
 * Contributor(s): 
 * 
 * 
 * Alternatively, the contents of this file may be used under the terms of 
 * either of the GNU General Public License Version 2 or later (the "GPL"), 
 * or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"), 
 * or the CeCILL Licence Version 2.0 (http://www.cecill.info/licences.en.html), 
 * in which case the provisions of the GPL, the LGPL or the CeCILL are applicable 
 * instead of those above. If you wish to allow use of your version of this file 
 * only under the terms of either the GPL or the LGPL, and not to allow others 
 * to use your version of this file under the terms of the MPL, indicate your 
 * decision by deleting the provisions above and replace them with the notice 
 * and other provisions required by the GPL or the LGPL. If you do not delete 
 * the provisions above, a recipient may use your version of this file under 
 * the terms of any one of the MPL, the GPL, the LGPL or the CeCILL.
 * ]]LICENCE
 */
pref("scplayer.version", "0.0.1");

//pref("scplayer.storage", "file:\\\C:\testScPlayer");

// indication de l'url de la fenetre qui sert de navigateur
pref("browser.chromeURL", "chrome://scenariplayercdrom/content/deskplayer/subWindow.xul");

// indication du lieu a ouvrir un lien de type target blank
// 0=window par defaut
// 1=window/tab courante
// 2=nouvelle window
// 3=nouvelle tab dans la fenetre la plus recente
pref("browser.link.open_external", 2);

// indication du lieu a ouvrir un lien qui ont un target ?
pref("browser.link.open_newwindow", 2);
 
// restriction sur la nouvelle fenetre ouverte
// 0: aucune
// 1: don't divert window.open at all
// 2: don't divert window.open with features
pref("browser.link.open_newwindow.restriction", 0);

// Execution externe de tous les protocoles (sauf chrome)
//pref("network.protocol-handler.expose-all", false); NOTE : ajoute des verrous de s?curit? (window.close())
pref("network.protocol-handler.expose.mailto", false);
pref("network.protocol-handler.expose.news", false);
pref("network.protocol-handler.expose.snews", false);
pref("network.protocol-handler.expose.nntp", false);
pref("network.protocol-handler.expose.imap", false);
pref("network.protocol-handler.expose.addbook", false);
pref("network.protocol-handler.expose.pop", false);
pref("network.protocol-handler.expose.mailbox", false);
pref("network.protocol-handler.expose.http", false);
pref("network.protocol-handler.expose.https", false);

pref("network.protocol-handler.warn-external.http", false);
pref("network.protocol-handler.warn-external.https", false);


